org.modeshape.jboss.subsystem

## Class ModeShapeSubsystemXMLReader_2_0

- java.lang.Object
- - org.modeshape.jboss.subsystem.ModeShapeSubsystemXMLReader_2_0

- All Implemented Interfaces:
    XMLStreamConstants, org.jboss.staxmapper.XMLElementReader<List<org.jboss.dmr.ModelNode>>

      public class ModeShapeSubsystemXMLReader_2_0
      extends Object
      implements XMLStreamConstants, org.jboss.staxmapper.XMLElementReader<List<org.jboss.dmr.ModelNode>>

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModeShapeSubsystemXMLReader_2_0()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readElement(org.jboss.staxmapper.XMLExtendedStreamReader reader, List<org.jboss.dmr.ModelNode> list)`
    `protected void` | `requireNoElements(org.jboss.staxmapper.XMLExtendedStreamReader reader)` Checks that the current element has no attributes, throwing an `XMLStreamException` if one is found.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModeShapeSubsystemXMLReader_2_0

          public ModeShapeSubsystemXMLReader_2_0()

  - ### Method Detail

    - #### readElement

          public void readElement(org.jboss.staxmapper.XMLExtendedStreamReader reader,
                         List<org.jboss.dmr.ModelNode> list)
                           throws XMLStreamException

      Specified by:
        `readElement` in interface `org.jboss.staxmapper.XMLElementReader<List<org.jboss.dmr.ModelNode>>`
      Throws:
        `XMLStreamException`

    - #### requireNoElements

          protected void requireNoElements(org.jboss.staxmapper.XMLExtendedStreamReader reader)
                                    throws XMLStreamException

      Checks that the current element has no attributes, throwing an `XMLStreamException` if one is found.
      Parameters:
        `reader` - the reader
      Throws:
        `XMLStreamException` - if an error occurs

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.